package com.yd.api.agms.vo.practitioner;

import java.util.Date;

/**
 * @author xxy
 */
public class PractitionerFileSharing {
    /**
     * serial id
     */
    private Long id;

    /**
     * FK ag_md_drop_options_id文章分类
     */
    private String mdDropOptionId;

    /**
     * 文章内容html
     */
    private String fileContent;

    /**
     * 0=No, 1=Yes
     */
    private Integer isActive;

    /**
     * 建置时间
     */
    private String createdAt;

    private Long createdBy;

    private String createdName;

    /**
     * 更改时间
     */
    private String updatedAt;

    private Long updatedBy;

    private String updatedName;

    /**
     * 标题
     */
    private String title;

    /**
     * 摘要
     */
    private String digest;

    /**
     * 作者
     */
    private String author;

    /**
     * 封面地址
     */
    private String coverUrl;

    private Long totalNum;

    private Long num;


    /**
     * 获取 serial id
     *
     * @return the id serial id
     */
    public Long getId() {
        return this.id;
    }

    /**
     * 设置 serial id
     *
     * @param id the serial id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取 FK ag_md_drop_options_id文章分类
     *
     * @return the mdDropOptionId FK ag_md_drop_options_id文章分类
     */
    public String getMdDropOptionId() {
        return this.mdDropOptionId;
    }

    /**
     * 设置 FK ag_md_drop_options_id文章分类
     *
     * @param mdDropOptionId the FK ag_md_drop_options_id文章分类 to set
     */
    public void setMdDropOptionId(String mdDropOptionId) {
        this.mdDropOptionId = mdDropOptionId;
    }

    /**
     * 获取 文章内容html
     *
     * @return the fileContent 文章内容html
     */
    public String getFileContent() {
        return this.fileContent;
    }

    /**
     * 设置 文章内容html
     *
     * @param fileContent the 文章内容html to set
     */
    public void setFileContent(String fileContent) {
        this.fileContent = fileContent;
    }

    /**
     * 获取 0=No 1=Yes
     *
     * @return the isActive 0=No 1=Yes
     */
    public Integer getIsActive() {
        return this.isActive;
    }

    /**
     * 设置 0=No 1=Yes
     *
     * @param isActive the 0=No 1=Yes to set
     */
    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    /**
     * 获取 建置时间
     *
     * @return the createdAt 建置时间
     */
    public String getCreatedAt() {
        return this.createdAt;
    }

    /**
     * 设置 建置时间
     *
     * @param createdAt the 建置时间 to set
     */
    public void setCreatedAt(String createdAt) {
        this.createdAt = createdAt;
    }

    /**
     * 获取
     *
     * @return the createdBy
     */
    public Long getCreatedBy() {
        return this.createdBy;
    }

    /**
     * 设置
     *
     * @param createdBy the  to set
     */
    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * 获取
     *
     * @return the createdName
     */
    public String getCreatedName() {
        return this.createdName;
    }

    /**
     * 设置
     *
     * @param createdName the  to set
     */
    public void setCreatedName(String createdName) {
        this.createdName = createdName;
    }

    /**
     * 获取 更改时间
     *
     * @return the updatedAt 更改时间
     */
    public String getUpdatedAt() {
        return this.updatedAt;
    }

    /**
     * 设置 更改时间
     *
     * @param updatedAt the 更改时间 to set
     */
    public void setUpdatedAt(String updatedAt) {
        this.updatedAt = updatedAt;
    }

    /**
     * 获取
     *
     * @return the updatedBy
     */
    public Long getUpdatedBy() {
        return this.updatedBy;
    }

    /**
     * 设置
     *
     * @param updatedBy the  to set
     */
    public void setUpdatedBy(Long updatedBy) {
        this.updatedBy = updatedBy;
    }

    /**
     * 获取
     *
     * @return the updatedName
     */
    public String getUpdatedName() {
        return this.updatedName;
    }

    /**
     * 设置
     *
     * @param updatedName the  to set
     */
    public void setUpdatedName(String updatedName) {
        this.updatedName = updatedName;
    }

    /**
     * 获取 标题
     *
     * @return the title 标题
     */
    public String getTitle() {
        return this.title;
    }

    /**
     * 设置 标题
     *
     * @param title the 标题 to set
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取 摘要
     *
     * @return the digest 摘要
     */
    public String getDigest() {
        return this.digest;
    }

    /**
     * 设置 摘要
     *
     * @param digest the 摘要 to set
     */
    public void setDigest(String digest) {
        this.digest = digest;
    }

    /**
     * 获取 作者
     *
     * @return the author 作者
     */
    public String getAuthor() {
        return this.author;
    }

    /**
     * 设置 作者
     *
     * @param author the 作者 to set
     */
    public void setAuthor(String author) {
        this.author = author;
    }

    /**
     * 获取 封面地址
     *
     * @return the coverUrl 封面地址
     */
    public String getCoverUrl() {
        return this.coverUrl;
    }

    /**
     * 设置 封面地址
     *
     * @param coverUrl the 封面地址 to set
     */
    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public Long getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Long totalNum) {
        this.totalNum = totalNum;
    }

    public Long getNum() {
        return num;
    }

    public void setNum(Long num) {
        this.num = num;
    }

    @Override
    public String toString() {
        return "PractitionerFileSharing{" +
                "id=" + id +
                ", mdDropOptionId='" + mdDropOptionId + '\'' +
                ", fileContent='" + fileContent + '\'' +
                ", isActive=" + isActive +
                ", createdAt='" + createdAt + '\'' +
                ", createdBy=" + createdBy +
                ", createdName='" + createdName + '\'' +
                ", updatedAt='" + updatedAt + '\'' +
                ", updatedBy=" + updatedBy +
                ", updatedName='" + updatedName + '\'' +
                ", title='" + title + '\'' +
                ", digest='" + digest + '\'' +
                ", author='" + author + '\'' +
                ", coverUrl='" + coverUrl + '\'' +
                ", totalNum=" + totalNum +
                ", num=" + num +
                '}';
    }
}
